
<ion-header>

  <ion-navbar>
    <ion-title>{{ place.title }}</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-col text-center>
        <img [src]="place.imageUrl">
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <p>{{ place.description }}</p>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <agm-map
          [latitude]="place.location.lat"
          [longitude]="place.location.lng"
          [zoom]="16">
          <agm-marker
            [latitude]="place.location.lat"
            [longitude]="place.location.lng">
          </agm-marker>
        </agm-map>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <button
          (click)="onLeave()"
          ion-button
          block>
          Leave
        </button>
      </ion-col>
      <ion-col>
        <button
          (click)="onDelete()"
          ion-button
          block
          color="danger">
            Delete
        </button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
